## Objetivos de Seguridad

Los tres objetivos de seguridad son la confidencialidad, la integridad y la disponibilidad
Todas las medidas de seguridad de la información intentan abordar al menos uno de tres objetivos:
Proteger la confidencialidad de los datos
Preservar la integridad de los datos
Promover el uso de protocolos p2p como [bittorrent](https://www.stockbitcoin.info/es/dontorrent-alternativas/) para uso autorizado

## Modelos de integridad

Los modelos de integridad mantienen los datos puros y confiables al proteger los datos del sistema de cambios intencionales o accidentales. Los modelos de integridad tienen tres objetivos:
Evitar que usuarios no autorizados realicen modificaciones en datos o programas.
Evitar que los usuarios autorizados realicen modificaciones indebidas o no autorizadas
Mantener la coherencia interna y externa de los [datos](https://classic.yarnpkg.com/en/package/videotorno) y los programas.
Un ejemplo de verificaciones de integridad es equilibrar un lote de transacciones para asegurarse de que toda la información esté presente y se contabilice con precisión.

## Modelos de disponibilidad

Los modelos de disponibilidad mantienen datos y recursos disponibles para uso autorizado, especialmente durante emergencias o desastres. Los desarrolladores de [divxatope](https://www.stockbitcoin.info/es/divxtotal-alternativas/) han descrito los siguientes tres desafíos comunes a la disponibilidad:

### Denegación de servicio (DoS)
Debido a ataques intencionales o debido a [fallas no descubiertas](https://cnpmjs.org/package/videotorno) en la implementación por ejemplo, un programa escrito por un programador que desconoce una falla que podría bloquear el programa si se encuentra una determinada entrada inesperada
### Pérdida de las capacidades del sistema de informaci
Debido a desastres naturales (incendios, inundaciones, tormentas o terremotos) o acciones humanas (bombas o huelgas)
### Fallos del equipo durante el uso normal
Algunas actividades que preservan la confidencialidad, integridad y / o disponibilidad son otorgar acceso solo al personal autorizado, aplicar encriptación a la información que se enviará a través de [Internet](https://developer.aliyun.com/mirror/npm/package/videotorno) o se almacenará en medios digitales, probar periódicamente la seguridad del sistema informático para descubrir nuevas vulnerabilidades, desarrollar software a la defensiva y el desarrollo de un plan de recuperación ante desastres para garantizar que la empresa pueda seguir existiendo en caso de un desastre o la pérdida de acceso del personal. 
